=== debian/changelog ===
zeal (1:0.7.0-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:40:57 +1100

zeal (1:0.7.0-3build1) noble; urgency=medium

  * No-change rebuild against libarchive13t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Mar 2024 07:25:14 +0000

zeal (1:0.7.0-3) unstable; urgency=medium

  * Reinstate the Qt5 build-deps for mips64el and mipsel. I'd prefer
    to have every architectures with the same version of Qt, but it's
    better to have an old lib than no package at all.

 -- Martin Quinson <mquinson@debian.org>  Sun, 01 Oct 2023 10:53:07 +0200

zeal (1:0.7.0-2) unstable; urgency=medium

  * Restrict the Architectures to where qtwebengine6 is available.
  * d/p/reproducible-build.patch: Remove a timestamp from a generated
    svg file (Close: #1015246). Thanks Chris Lamb.
  * Fix the manpage by removing a command line option that does not
    exist anymore (Close: #1033168).

 -- Martin Quinson <mquinson@debian.org>  Sat, 30 Sep 2023 22:40:10 +0200

zeal (1:0.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch to Qt6 now that upstream provides it.
  * Remove the restriction on Architectures now that we don't use
    qtwebengine5 anymore.

 -- Martin Quinson <mquinson@debian.org>  Fri, 29 Sep 2023 10:59:33 +0200
