## zeal 0.7.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
 
 project(Zeal
-    VERSION 0.7.0
+    VERSION 0.7.1
     DESCRIPTION "A simple documentation browser."
     HOMEPAGE_URL "https://zealdocs.org"
     LANGUAGES CXX
