=== src/libs/CMakeLists.txt ===
add_subdirectory(browser)
add_subdirectory(core)
add_subdirectory(registry)
add_subdirectory(sidebar)
add_subdirectory(ui)
add_subdirectory(util)
