=== debian/changelog ===
zeal (1:0.7.1-1) unstable; urgency=medium

  * New upstream release.

 -- Martin Quinson <mquinson@debian.org>  Thu, 01 Aug 2024 21:30:34 +0200

zeal (1:0.7.0-4) unstable; urgency=medium

  * Take a patch upstream to fix a FTBFS with Qt 6.2.2, which will be
    uploaded to unstable soon.

 -- Martin Quinson <mquinson@debian.org>  Mon, 11 Mar 2024 11:55:21 +0100
