=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: zeal
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
+Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Uploaders: Martin Quinson <mquinson@debian.org>
 Section: doc
 Priority: optional
