=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,8 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
 
+export ZEAL_RELEASE_BUILD = 1
+
 %:
 	dh $@
