## zeal 0.7.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
 
 project(Zeal
-    VERSION 0.7.1
+    VERSION 0.7.2
     DESCRIPTION "A simple documentation browser."
     HOMEPAGE_URL "https://zealdocs.org"
     LANGUAGES CXX
@@ -19,15 +19,20 @@
 
 # Project information.
 set(PROJECT_COMPANY_NAME "Oleg Shparber")
-set(PROJECT_COPYRIGHT "© 2013-2023 Oleg Shparber and other contributors")
+set(PROJECT_COPYRIGHT "© 2013-2024 Oleg Shparber and other contributors")
 
 # Find available major Qt version. It will be stored in QT_VERSION_MAJOR.
-find_package(QT NAMES Qt6 Qt5 REQUIRED COMPONENTS Core)
-if(QT_VERSION_MAJOR EQUAL 6)
+if(NOT ZEAL_USE_QT5)
+    find_package(QT NAMES Qt6 COMPONENTS Core)
     set(QT_MINIMUM_VERSION 6.2.0)
-else()
+endif()
+
+if(NOT QT_FOUND)
+    find_package(QT NAMES Qt5 REQUIRED COMPONENTS Core)
     set(QT_MINIMUM_VERSION 5.9.5)
 endif()
+
+message(NOTICE "Detected Qt version: ${QT_VERSION}")
 
 # Determine version for dev builds.
 if(NOT ZEAL_RELEASE_BUILD)
