=== assets/CMakeLists.txt ===
add_subdirectory(freedesktop)
