=== src/app/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Widgets REQUIRED)
+find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Concurrent WebEngineWidgets Widgets REQUIRED)
 if (Qt${QT_VERSION_MAJOR}Widgets_VERSION VERSION_LESS QT_MINIMUM_VERSION)
     message(FATAL_ERROR "Qt version >= ${QT_MINIMUM_VERSION} is required.")
 endif()
@@ -123,6 +123,8 @@
     else()
         set(_package_file_name_suffix "-windows-unknown")
     endif()
+else()
+    set(_package_file_name_suffix "")
 endif()
 
 if(ZEAL_PORTABLE_BUILD)
