=== debian/changelog ===
zeal (1:0.7.2-1.1build1) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Sep 2025 21:39:05 +0100

zeal (1:0.7.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop Build-Depends: libqt5webkit5-dev. (Closes: #1100770)
  * Drop mipsel from build architectures.
  * Recover uploaded 0.7.1-1 changelog entry.

 -- Bastian Germann <bage@debian.org>  Tue, 18 Mar 2025 16:51:03 +0100

zeal (1:0.7.2-1) unstable; urgency=medium

  [ Konstantin Demin ]
  * New upstream release.

 -- Martin Quinson <mquinson@debian.org>  Mon, 23 Dec 2024 11:10:33 +0100
