=== debian/control ===
Source: zeal
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Uploaders: Martin Quinson <mquinson@debian.org>
Section: doc
Priority: optional
Build-Depends: debhelper-compat (= 13),
               asciidoc-base,
               cmake,
               extra-cmake-modules,
               libarchive-dev,
               libcpp-httplib-dev,
               libsqlite3-dev,
               libxcb-keysyms1-dev,
               qt6-base-dev [amd64 arm64 armhf i386],
               qt6-base-private-dev [amd64 arm64 armhf i386],
               qt6-webchannel-dev [amd64 arm64 armhf i386],
               qt6-webengine-dev [amd64 arm64 armhf i386],
               libqt5x11extras5-dev [mips64el],
               qtbase5-dev [mips64el],
               qtbase5-private-dev [mips64el],
               qtwebengine5-dev [mips64el],
               xmlto,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/zeal
Vcs-Git: https://salsa.debian.org/debian/zeal.git
Homepage: https://zealdocs.org/

Package: zeal
Architecture: amd64 arm64 armhf i386 mips64el
# qt6-webengine is available only on amd64 arm64 armhf i386
# qtwebengine5-dev is available on the same + mips64el
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libqt6sql6-sqlite [amd64 arm64 armhf i386],
         libqt5sql5-sqlite [mips64el],
Description: Simple offline API documentation browser
 Zeal is a simple offline API documentation browser inspired by Dash (OS X
 app), available for Linux and Windows.
 .
  * Quickly search documentation using Alt+Space (or customised) hotkey to
    display Zeal from any place in your workspace.
  * Search in multiple sets of documentation at once.
  * Don't be dependent on your internet connection.
  * Integrate Zeal with Emacs, Sublime Text, or Vim.
