=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,13 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS := hardening=+all
-export QT_SELECT := qt6
+
+qt6_arch := amd64 arm64 armhf i386
+ifneq ($(filter $(DEB_TARGET_ARCH),$(strip $(qt6_arch))),)
+  export QT_SELECT := qt6
+else
+  export QT_SELECT := qt5
+endif
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
